Name:		wxsqlite3
Summary:	wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database
Version:	1.9.5
Release:	%mkrel 3
License:	GPL
Group:		Development/Databases
Source:		wxsqlite3-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://wxcode.sourceforge.net/components/wxsqlite3/
Patch:          wxsqlite3-1.9.5-Makefile.in.patch
BuildRequires:	gcc-c++
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	wxGTK2.8-devel

%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x
database and is specifically designed for use in programs based
on the wxWidgets library.

wxSQLite3 does not try to hide the underlying database, in
contrary almost all special features of the current SQLite3
version 3.3.6 are supported, like for example the creation of
user defined scalar or aggregate functions.

Since SQLite stores strings in UTF-8 encoding, the wxSQLite3
methods provide automatic conversion between wxStrings and
UTF-8 strings. This works best for the Unicode builds of
wxWidgets. This feature is not fully tested for ANSI builds.


%package devel
Group:		Development/Databases
Summary:	Development package for the wxSQLite3 library
Requires:	%{name} = %{version}

%description devel
Development package for the wxSQLite3 library.

%prep
%setup -q -n wxsqlite3-%{version}
%patch -p1

find ./docs -type f -exec %__chmod 644 {} \;
%__chmod 644 *.txt

%build
./configure --prefix=/usr --with-sqlite3

%make 


%install
%makeinstall_std

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt
%doc docs/html
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/wx
%{_includedir}/wx/*.h
%{_libdir}/*.so

%changelog
* Thu Jul 14 2011 Texstar <texstar at gmail.com> 1.9.5-3pclos2011
- rebuild

* Fri Dec 25 2009 Texstar <texstar at gmail.com> 1.9.5-2pclos2010
- rebuild

* Wed Jun 10 2009 slick50 <lxgator@gmail.com> 1.9.5-1pclos2009
- import to PCLinuxOS


